%global momorel 1

%global fontname google-noto-cjk
%global fontconf 66-%{fontname}
%global tag 2017-04-03-serif-cjk-1-0
%global real_name noto-cjk-%{tag}


Name:           google-noto-cjk-fonts
Version:        0.0.2017.4
Release:        %{momorel}m%{?dist}
Summary:        Google Noto Sans CJK Fonts
Group:          User Interface/X

License:        OFL
URL:            https://github.com/googlei18n/noto-cjk
Source0:        https://github.com/googlei18n/noto-cjk/archive/v%{tag}/%{real_name}.tar.gz
NoSource:       0
Source1:        %{fontconf}-sans-simplified-chinese.conf
Source2:        %{fontconf}-sans-traditional-chinese.conf
Source3:        %{fontconf}-sans-japanese.conf
Source4:        %{fontconf}-sans-korean.conf

BuildArch:      noarch
BuildRequires:  fontpackages-devel
Requires:       fontpackages-filesystem

%description
Noto Sans CJK is a sans serif typeface designed as an intermediate style 
between the modern and traditional.
It is intended to be a multi-purpose digital font for user interface designs, 
digital content, reading on laptops, mobile devices, and electronic books.
Noto Sans CJK comprehensively covers Simplified Chinese, Traditional Chinese, 
Japanese, and Korean in a unified font family.
It supports regional variants of ideographic characters for each of 
the four languages.
In addition, it supports Japanese kana, vertical forms, and variant characters 
(itaiji); it supports Korean hangeul — both contemporary and archaic.


%prep
%setup -q -n %{real_name}
cp -p %{SOURCE1} %{SOURCE2} %{SOURCE3} %{SOURCE4} .


%build


%install
rm -rf %{buildroot}

install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p NotoSansCJK-*.ttc %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
            %{buildroot}%{_fontconfig_confdir}

for f in sans-simplified-chinese sans-traditional-chinese \
    sans-japanese sans-korean;
do
    install -m 0644 -p %{fontconf}-$f.conf \
                %{buildroot}%{_fontconfig_templatedir}/%{fontconf}-$f.conf

    ln -s %{_fontconfig_templatedir}/%{fontconf}-$f.conf \
         %{buildroot}%{_fontconfig_confdir}/%{fontconf}-$f.conf
done


%_font_pkg -f *.conf NotoSansCJK-*.ttc
%doc NEWS HISTORY README.formats README.third_party
%doc LICENSE


%changelog
* Wed May 31 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.2017.4-1m)
- update v2017-04-03-serif-cjk-1-0
- version changed.
-- 0.0.<release Year>.<release Month>

* Sat May 13 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.0.1-1m)
- initial commit Momonga Linux

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.004-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Dec  2 2016 Peng Wu <pwu@redhat.com> - 1.004-7
- Rebuilt to fixes the spec file

* Fri Dec  2 2016 Peng Wu <pwu@redhat.com> - 1.004-6
- Disable Obsoletes for epel: for google-noto-sans-cjk-fonts (rh#1396260)
- Disable notocjkrep macro definition for epel

* Fri Apr 29 2016 Peng Wu <pwu@redhat.com> - 1.004-5
- Replace google-noto-sans-cjk-fonts package

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.004-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Nov 13 2015 Peng Wu <pwu@redhat.com> - 1.004-3
- Use TTC Files

* Mon Oct 26 2015 Peng Wu <pwu@redhat.com> - 1.004-2
- Fixes Spec

* Mon Oct 26 2015 Peng Wu <pwu@redhat.com> - 1.004-1
- Initial Version
